Package com.databricks.jdbc.model.client.thrift.generated

## Class TSparkArrowResultLink

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TSparkArrowResultLink

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TSparkArrowResultLink>`, `org.apache.thrift.TBase<TSparkArrowResultLink,​TSparkArrowResultLink._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-10-09")
    public class TSparkArrowResultLink
    extends Object
    implements org.apache.thrift.TBase<TSparkArrowResultLink,​TSparkArrowResultLink._Fields>, Serializable, Cloneable, Comparable<TSparkArrowResultLink>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TSparkArrowResultLink._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`long` `bytesNum`
`long` `expiryTime`
`String` `fileLink`
`Map<String,​String>` `httpHeaders`
`static Map<TSparkArrowResultLink._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`long` `rowCount`
`long` `startRowOffset`

### Constructor Summary

Constructors
`TSparkArrowResultLink()`
`TSparkArrowResultLink​(TSparkArrowResultLink other)` Performs a deep copy on other.
`TSparkArrowResultLink​(String fileLink, long expiryTime, long startRowOffset, long rowCount, long bytesNum)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TSparkArrowResultLink other)`
`TSparkArrowResultLink` `deepCopy()`
`boolean` `equals​(TSparkArrowResultLink that)`
`boolean` `equals​(Object that)`
`TSparkArrowResultLink._Fields` `fieldForId​(int fieldId)`
`long` `getBytesNum()`
`long` `getExpiryTime()`
`Object` `getFieldValue​(TSparkArrowResultLink._Fields field)`
`String` `getFileLink()`
`Map<String,​String>` `getHttpHeaders()`
`int` `getHttpHeadersSize()`
`long` `getRowCount()`
`long` `getStartRowOffset()`
`int` `hashCode()`
`boolean` `isSet​(TSparkArrowResultLink._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetBytesNum()` Returns true if field bytesNum is set (has been assigned a value) and false otherwise
`boolean` `isSetExpiryTime()` Returns true if field expiryTime is set (has been assigned a value) and false otherwise
`boolean` `isSetFileLink()` Returns true if field fileLink is set (has been assigned a value) and false otherwise
`boolean` `isSetHttpHeaders()` Returns true if field httpHeaders is set (has been assigned a value) and false otherwise
`boolean` `isSetRowCount()` Returns true if field rowCount is set (has been assigned a value) and false otherwise
`boolean` `isSetStartRowOffset()` Returns true if field startRowOffset is set (has been assigned a value) and false otherwise
`void` `putToHttpHeaders​(String key, String val)`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TSparkArrowResultLink` `setBytesNum​(long bytesNum)`
`void` `setBytesNumIsSet​(boolean value)`
`TSparkArrowResultLink` `setExpiryTime​(long expiryTime)`
`void` `setExpiryTimeIsSet​(boolean value)`
`void` `setFieldValue​(TSparkArrowResultLink._Fields field, Object value)`
`TSparkArrowResultLink` `setFileLink​(String fileLink)`
`void` `setFileLinkIsSet​(boolean value)`
`TSparkArrowResultLink` `setHttpHeaders​(Map<String,​String> httpHeaders)`
`void` `setHttpHeadersIsSet​(boolean value)`
`TSparkArrowResultLink` `setRowCount​(long rowCount)`
`void` `setRowCountIsSet​(boolean value)`
`TSparkArrowResultLink` `setStartRowOffset​(long startRowOffset)`
`void` `setStartRowOffsetIsSet​(boolean value)`
`String` `toString()`
`void` `unsetBytesNum()`
`void` `unsetExpiryTime()`
`void` `unsetFileLink()`
`void` `unsetHttpHeaders()`
`void` `unsetRowCount()`
`void` `unsetStartRowOffset()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### fileLink

    public String fileLink

#### expiryTime

    public long expiryTime

#### startRowOffset

    public long startRowOffset

#### rowCount

    public long rowCount

#### bytesNum

    public long bytesNum

#### httpHeaders

    public Map<String,​String> httpHeaders

#### metaDataMap

    public static final Map<TSparkArrowResultLink._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TSparkArrowResultLink

    public TSparkArrowResultLink()

#### TSparkArrowResultLink

    public TSparkArrowResultLink​(String fileLink,
                                 long expiryTime,
                                 long startRowOffset,
                                 long rowCount,
                                 long bytesNum)

#### TSparkArrowResultLink

    public TSparkArrowResultLink​(TSparkArrowResultLink other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TSparkArrowResultLink deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TSparkArrowResultLink,​TSparkArrowResultLink._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TSparkArrowResultLink,​TSparkArrowResultLink._Fields>`

#### getFileLink

    public String getFileLink()

#### setFileLink

    public TSparkArrowResultLink setFileLink​(String fileLink)

#### unsetFileLink

    public void unsetFileLink()

#### isSetFileLink

    public boolean isSetFileLink()

Returns true if field fileLink is set (has been assigned a value) and false otherwise

#### setFileLinkIsSet

    public void setFileLinkIsSet​(boolean value)

#### getExpiryTime

    public long getExpiryTime()

#### setExpiryTime

    public TSparkArrowResultLink setExpiryTime​(long expiryTime)

#### unsetExpiryTime

    public void unsetExpiryTime()

#### isSetExpiryTime

    public boolean isSetExpiryTime()

Returns true if field expiryTime is set (has been assigned a value) and false otherwise

#### setExpiryTimeIsSet

    public void setExpiryTimeIsSet​(boolean value)

#### getStartRowOffset

    public long getStartRowOffset()

#### setStartRowOffset

    public TSparkArrowResultLink setStartRowOffset​(long startRowOffset)

#### unsetStartRowOffset

    public void unsetStartRowOffset()

#### isSetStartRowOffset

    public boolean isSetStartRowOffset()

Returns true if field startRowOffset is set (has been assigned a value) and false otherwise

#### setStartRowOffsetIsSet

    public void setStartRowOffsetIsSet​(boolean value)

#### getRowCount

    public long getRowCount()

#### setRowCount

    public TSparkArrowResultLink setRowCount​(long rowCount)

#### unsetRowCount

    public void unsetRowCount()

#### isSetRowCount

    public boolean isSetRowCount()

Returns true if field rowCount is set (has been assigned a value) and false otherwise

#### setRowCountIsSet

    public void setRowCountIsSet​(boolean value)

#### getBytesNum

    public long getBytesNum()

#### setBytesNum

    public TSparkArrowResultLink setBytesNum​(long bytesNum)

#### unsetBytesNum

    public void unsetBytesNum()

#### isSetBytesNum

    public boolean isSetBytesNum()

Returns true if field bytesNum is set (has been assigned a value) and false otherwise

#### setBytesNumIsSet

    public void setBytesNumIsSet​(boolean value)

#### getHttpHeadersSize

    public int getHttpHeadersSize()

#### putToHttpHeaders

    public void putToHttpHeaders​(String key,
                                 String val)

#### getHttpHeaders

    public Map<String,​String> getHttpHeaders()

#### setHttpHeaders

    public TSparkArrowResultLink setHttpHeaders​(Map<String,​String> httpHeaders)

#### unsetHttpHeaders

    public void unsetHttpHeaders()

#### isSetHttpHeaders

    public boolean isSetHttpHeaders()

Returns true if field httpHeaders is set (has been assigned a value) and false otherwise

#### setHttpHeadersIsSet

    public void setHttpHeadersIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TSparkArrowResultLink._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TSparkArrowResultLink,​TSparkArrowResultLink._Fields>`

#### getFieldValue

    public Object getFieldValue​(TSparkArrowResultLink._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TSparkArrowResultLink,​TSparkArrowResultLink._Fields>`

#### isSet

    public boolean isSet​(TSparkArrowResultLink._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TSparkArrowResultLink,​TSparkArrowResultLink._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TSparkArrowResultLink that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TSparkArrowResultLink other)

Specified by:
  `compareTo` in interface `Comparable<TSparkArrowResultLink>`

#### fieldForId

    public TSparkArrowResultLink._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TSparkArrowResultLink,​TSparkArrowResultLink._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`